nl.tudelft.simulation.dsol.tutorial.section42

## Interface SellerInterface

All Known Implementing Classes:
  Retailer, Warehouse

    public interface SellerInterface

A SellerInterface.

Copyright (c) 2002-2018 Delft University of Technology, Jaffalaan 5, 2628 BX Delft, the Netherlands. All rights reserved. See for project information https://simulation.tudelft.nl. The DSOL project is distributed under a three-clause BSD-style license, which can be found at https://simulation.tudelft.nl/dsol/3.0/license.html.

Author:
  Peter Jacobs

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `order(BuyerInterface buyer, long amount)` order a requested amount.

### Method Detail

#### order

    void order(BuyerInterface buyer,
               long amount)

order a requested amount.

Parameters:
  `buyer` - the requesting buyer
  `amount` - the requested amount